export const CUSTOM_KEYBOARD_LAYER = {
  'custom-layer': {
    styles: '',
    rows: [
      [
        { class: 'keycap tex', latex: 'x' },
        { class: 'keycap tex', latex: 'n' },

        { class: 'separator w5' },

        { class: 'keycap', label: '7', key: '7' },
        { class: 'keycap', label: '8', key: '8' },
        { class: 'keycap', label: '9', key: '9' },
        { class: 'keycap', latex: '\\div' },

        { class: 'separator w5' },

        { class: 'keycap', latex: '\\frac{#0}{#0}' },
        { class: 'keycap tex', latex: '\\pi' },
        { class: 'keycap tex', latex: '\\sqrt{#0}' }
      ],
      [
        { class: 'keycap', latex: '<' },
        { class: 'keycap', latex: '>' },

        { class: 'separator w5' },

        { class: 'keycap', label: '4', key: '5' },
        { class: 'keycap', label: '5', key: '5' },
        { class: 'keycap', label: '6', key: '6' },
        { class: 'keycap', latex: '\\times' },

        { class: 'separator w5' },

        { class: 'fnbutton', latex: '\\sin' },
        { class: 'fnbutton', latex: '\\tan' },
        { class: 'fnbutton', latex: '\\cos' }
      ],
      [
        { class: 'keycap', latex: '(' },
        { class: 'keycap', latex: ')' },

        { class: 'separator w5' },

        { class: 'keycap', label: '1', key: '1' },
        { class: 'keycap', label: '2', key: '2' },
        { class: 'keycap', label: '3', key: '3' },
        { class: 'keycap', latex: '-' },

        { class: 'separator w5' },

        { class: 'keycap tex', label: '<span><i>x</i>&thinsp;²</span>', insert: '$$#@^{2}$$' },
        { class: 'keycap tex', label: '<span><i>x</i><sup>&thinsp;<i>n</i></sup></span>', insert: '$$#@^{#?}$$' },
        { class: 'action font-glyph bottom right', command: ['performWithFeedback', 'deletePreviousChar'], label: '&#x232b;' }
      ],
      [
        { class: 'keycap', command: ['applyStyle', { color: '#cc2428' }], label: '<span style="border-radius: 50%;width:22px;height:22px; border: 3px solid #cc2428; box-sizing: border-box"></span>' },
        { class: 'keycap', command: ['applyStyle', { backgroundColor: '#fff590' }], label: '<span style="border-radius: 50%;width:22px;height:22px; background:#fff590; box-sizing: border-box"></span>' },

        { class: 'separator w5' },

        { class: 'keycap', label: '0', key: '0' },
        { class: 'keycap', latex: '.' },
        { class: 'keycap', latex: '=' },
        { class: 'keycap', latex: '+' },

        { class: 'separator w5' },

        { class: 'action', command: ['performWithFeedback', 'moveToPreviousChar'], label: '<svg><use xlink:href="#svg-arrow-left" /></svg>' },
        { class: 'action', command: ['performWithFeedback', 'moveToNextChar'], label: '<svg><use xlink:href="#svg-arrow-right" /></svg>' },
        { class: 'action', command: ['performWithFeedback', 'moveToNextPlaceholder'], label: '<svg><use xlink:href="#svg-tab" /></svg>' }
      ]
    ]
  }
}
